org.firstinspires.ftc.robotcore.external.navigation

## Interface VuforiaTrackables

- All Superinterfaces:
    java.util.Collection<VuforiaTrackable>, java.lang.Iterable<VuforiaTrackable>, java.util.List<VuforiaTrackable>

      public interface VuforiaTrackables
      extends java.util.List<VuforiaTrackable>

  `VuforiaTrackables` represents a set of targets that can be visually tracked.
  See Also:
    `VuforiaLocalizer.loadTrackablesFromAsset(String)`, `VuforiaLocalizer.loadTrackablesFromFile(String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activate()` Activates this trackables so that its localizer is actively seeking the presence of the trackables that it contains.
    `void` | `deactivate()` Deactivates this trackables, causing its localizer to no longer see the presence of the trackables it contains.
    `VuforiaLocalizer` | `getLocalizer()` Returns the `VuforiaLocalizer` which manages this list of trackables.
    `java.lang.String` | `getName()` Returns the user-specified name for this trackables.
    `void` | `setName(java.lang.String name)` Sets the name for this `VuforiaTrackables` and any of its contained trackables which do not already have a user-specified name

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String name)

      Sets the name for this `VuforiaTrackables` and any of its contained trackables which do not already have a user-specified name
      Parameters:
        `name` - the name for this trackables
      See Also:
        `getName()`

    - #### getName

          java.lang.String getName()

      Returns the user-specified name for this trackables.
      Returns:
        the user-specified name for this trackables.
      See Also:
        `setName(String)`

    - #### activate

          void activate()

      Activates this trackables so that its localizer is actively seeking the presence of the trackables that it contains.
      See Also:
        `deactivate()`

    - #### deactivate

          void deactivate()

      Deactivates this trackables, causing its localizer to no longer see the presence of the trackables it contains.
      See Also:
        `activate()`

    - #### getLocalizer

          VuforiaLocalizer getLocalizer()

      Returns the `VuforiaLocalizer` which manages this list of trackables.
      Returns:
        the `VuforiaLocalizer` which manages this list of trackables.